_COPY_TO_USER(9)

NAME
_copy_to_user - Copy a block of data into user space.

SYNOPSIS

unsigned long _copy_to_user(void __user * to, const void * from, unsigned n);

ARGUMENTS

to
    Destination address, in user space.

from
    Source address, in kernel space.

n
    Number of bytes to copy.

CONTEXT

User context only. This function may sleep.

DESCRIPTION

Copy data from kernel space to user space.

Returns number of bytes that could not be copied. On success, this will be zero.

COPYRIGHT